# Tests by default. No tests: rpm -ba --define 'dotests 0' *.spec
%{!?dotests: %define dotests 1}

%define name python3-jsonpointer
%define srcname jsonpointer
%define version 2.0
%define release 1

%define is_python %(test -e /usr/bin/python3_32 && echo 1 || echo 0)
%if %{is_python}
%define python_sitelib %(python3_32 -c "from distutils.sysconfig import get_python_lib; print (get_python_lib(1))")
%endif

%define _libdir64 %{_prefix}/lib64

%define is_python_64 %(test -e /usr/bin/python3 && echo 1 || echo 0)
%if %{is_python_64}
%define python_sitelib64 %(python3 -c "from distutils.sysconfig import get_python_lib; print  get_python_lib(1)")
%endif

Summary:  Identify specific nodes in a JSON document (RFC 6901) 
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{srcname}-%{version}.tar.gz
License: Modified BSD License
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prefix: %{_prefix}
BuildArch: noarch 
Vendor: Stefan Koegl <stefan@skoegl.net>
Url: https://github.com/stefankoegl/python-json-pointer

BuildRequires: python3, python3-devel
Requires: python3 >= 3.7.4

%description
UNKNOWN

%prep
%setup -q -n %{srcname}-%{version}


%build
python3 setup.py build
if [ "%{dotests}" == 1 ]
then

python3 setup.py test
fi



%install
[ -d "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

python3 setup.py install --skip-build --root ${RPM_BUILD_ROOT}


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,system,-)
%doc PKG-INFO
%{python_sitelib64}/*

%changelog
* Wed Jan 08 2020 Harshita Jain <harjain9@in.ibm.com> - 2.0-1
- Update with latest version
- Build with python3

* Wed May 25 2016 Ravi Hirekurabar <rhirekur@in.ibm.com>- 1.0-1
- first version for AIX V6.1 and higher
